Dsi problem

Discussion in 'NDS - Console and Game Discussions' started by Natalie88, Jun 22, 2011.

  1. Natalie88
    OP

    Natalie88 Member

    Newcomer
    12
    0
    Jun 20, 2011
    United States
    Has an r4 card in it and on screen it says data system error? Does need to update the firmware on the R4? or any advice?
     
  2. Zekrom_cool

    Zekrom_cool I respect faith, but doubt is what gets you an edu

    Member
    915
    24
    Apr 17, 2011
    India
    Heaven [N's Castle]
    Try the retrogamefan updates. It might help.
     
  3. molh394

    molh394 GBAtemp Regular

    Member
    209
    1
    Dec 13, 2004
    Senegal
    Could we have more details please?
    1. Which R4 card are you using? Please give the website of the manufacturer, it should be on the box or even on the cart itself.

    Does it say "R4i" or just "R4"? R4is work on DSis, "R4"s usually don't.

    2. What Firmware is your DSi running?

    3. When does this error occur? Right after you load the cart into the DSi? Or when you are trying to access the cart on your DSi, or when you are loading the games? If the R4 cart has an icon after you load it inside the DSi, what is it?

    And so on. It's a bit hard to help you without the relevant details, you know. Without sufficient clues all we can do is guess at the problem. The more you give us, the more we can help you figure it out. Thanks.
     
  4. Natalie88
    OP

    Natalie88 Member

    Newcomer
    12
    0
    Jun 20, 2011
    United States
    molh394, Thx very much firstly! i bought r4 card not r4i from uk site, just this one: http://www.r4flash.co.uk/product/r4-v3.2-w...-ndsl-nds-95105
    Or is it a r4 clone?
    This issue troubled me several days...
    Do i need to check the URL on the packaging or update the firmware on the R4?
    [​IMG]
     
  5. Sora de Eclaune

    Sora de Eclaune Baby squirrel, you's a sexy motherfucker.

    Member
    2,801
    625
    Feb 15, 2011
    United States
    123 Fake Street
    I've heard that type of R4 doesn't work on DSi handhelds, but I'm not sure.

    Off topic, but when I first saw the title of this thread I read it as "Dis Problem".
     
  6. Natalie88
    OP

    Natalie88 Member

    Newcomer
    12
    0
    Jun 20, 2011
    United States
    Heh... loool [​IMG]
     
  7. eggsample

    eggsample punahussy

    Member
    529
    56
    Mar 29, 2010
    Poland
    goto shoptemp
    check r4 is what for
    buy proper cart for 1.4.2
     
  8. Lights

    Lights Advanced Member

    Newcomer
    50
    1
    Jun 24, 2011
    United States
    Sorry but regular R4's don't work on DSi you need to get an R4i for that. Some good sites that GBATemp has reviewed and authenticated are here
     
  9. Sebastian

    Sebastian GBAtemp Regular

    Member
    129
    0
    May 3, 2011
    United States
    Chicago
    Choosing authenticated and reliable site, and purchasing high quality cards..
     
  10. Miss Panda

    Miss Panda GBAtemp Advanced Fan

    Member
    568
    1
    Aug 15, 2007
    That is not a UK company it is a Hong Kong company.
     
  11. Buleste

    Buleste Old Fart

    Member
    852
    27
    Dec 19, 2010
    and judging by the error message you have then your DSi is on firmware 1.4.2 which means your screwed as you went for the cheap option and bought a crappy R4i card.

    As Miss Panda pointed out that is not a UK site it is a Hong Kong site which has .co.uk as it is illegal to sell flashcards in the U.K. (except in the Channel Isles). If you want to buy a new card from a U.K. based site then try www.xpertron.co.uk it is more expensive than a Hong Kong site but your card will be delivered a lot quicker. Also if you do get a new flashcard don't bother with an R4/R4i card get an AceKard as they are only slightly more expensive but they are well supported and have many more features.
     
  12. Schnida

    Schnida Advanced Member

    Newcomer
    77
    0
    May 12, 2010
    Swaziland
    Just set the date a year back and problem solved [​IMG]